<?php namespace Tps\Shops\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateTpsShopsSales extends Migration
{
    public function up()
    {
        Schema::create('tps_shops_sales', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->string('type');
            $table->text('name');
            $table->integer('shop_id');
            $table->dateTime('start_date');
            $table->dateTime('end_date');
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('tps_shops_sales');
    }
}
